const express = require('express');
const bcrypt = require('bcrypt');
const User = require('../models/User.js');

 const loginRouter = express.Router();


loginRouter
    .post('/', async (req, res) => {


        const user = await User.findOne({email: req.body.email});

        if (!user) {

            res
                .send('Podano zły login lub hasło ')
                .status(401);


        }


        if (await bcrypt.compare(req.body.password, user.password)) {

            user.status = "online";


            res
                .status(200)
                .json(user);


        } else {

            res
                .send('Podano zły login lub hasło ')
                .status(401);


        }


    });

module.exports = loginRouter;